restart
add wave OSC_CLK_in    
add wave CD_L

add wave TX_IN  
add wave ST_L          

add wave ET

add wave RX_OUT

add wave CLK_1Hz_SQUARED    


-- Start the CLK of a 50 MHz frequency (20 ns period and 50% duty cycle) 
force OSC_CLK_in 0 0, 1 10 ns -repeat 20 ns

run  1.52 us

-- Set other input signals to an non-active level 
run  2.2 us
force CD_L 1
force ST_L 1
force TX_IN 10100011  

run  1.44 us           


-- Let's apply a Clear Direct  
force CD_L 0
run  2.87 ms
force CD_L 1
run  3.66 ms


-- Let's transmit the data  (A3)h
force ST_L 0
run  45.56 ms
force ST_L 1

run  40.46 ms

-- Let's transmit new data (EC)h
force TX_IN 11101100        
run  7.8 ms

-- Let's transmit the data  
force ST_L 0
run  55.56 ms
force ST_L 1

run  50.46 ms
  

-- Let's transmit new data (01)h
force TX_IN 00000001
run  7.8 ms

-- Let's transmit the data  
force ST_L 0
run  35.56 ms
force ST_L 1

run  50.46 ms